<template>
  <header class="header">
      <Container>
          <Navbar :loggedIn="loggedIn" :auth="auth"></Navbar>
      </Container>
      <div class="header--hero">
          <slot></slot>
      </div>
  </header>
</template>

<script>
import Container from './Container';
import Navbar from './Navbar';

export default {
  name: 'Header',
  props: ['loggedIn', 'auth'],
  components: {
      Container,
      Navbar
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.header {
    background-image: linear-gradient(-30deg, #392cb0, #ca73d8);
    margin-bottom: 150px;
}

.header--hero {
    min-height: 350px;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header--hero--title, h1.header--hero--title {
    margin: 0;
    padding: 0;
    color: #fff;
    font-size: 36px;
    line-height: 42px;
    font-weight: bold;
}
</style>
